<form autocomplete='off'>
	<div class='flexrow main-body'>
		{{#if isSpontaneous}}
		<div class='casts-per-day'>
			<h2>Casts</h2>
			<ul style='--max-level:{{maxLevel}};'>
				<li class='header'>
					<div class='cell header'>CL\SL</div>
					{{#each castsLevels}}<div class='sl cell'>{{this}}</div>{{/each}}
				</li>
				{{#each casts}}
				<li data-level='{{level}}' class='{{#if (eq @root.cl level)}}current{{/if}}'>
					<div class='cl cell header'>{{level}}</div>
					{{#each slots}}<div data-spell-level='{{level}}' class='cell {{#if active}}active{{else}}inactive{{/if}}'>{{#unless infinite}}{{slots}}{{else}}<i class='{{@root.icons.infinity.string}}'></i>{{/unless}}</div>{{/each}}
				</li>
				{{/each}}
			</ul>
		</div>
		{{/if}}
		<div class='spells-per-day'>
			<h2>{{#if (and @root.isSpontaneous (ne @root.prepMode 'hybrid'))}}Known{{else}}Prepared{{/if}}</h2>
			<ul class='{{#if @root.isSpontaneous}}spontaneous{{/if}}' style='--max-level:{{maxLevel}};'>
				<li class='header'>
					{{#unless @root.isSpontaneous}}
					<div class='cell header'>CL\SL</div>
					{{/unless}}
					{{#each prepLevels}}<div class='sl cell'>{{this}}</div>{{/each}}
				</li>
				{{#each prep}}
				<li data-level='{{level}}' class='{{#if (eq @root.cl level)}}current{{/if}}'>
					{{#unless @root.isSpontaneous}}
					<div class='cl cell header'>{{level}}</div>
					{{/unless}}
					{{#each slots}}<div data-spell-level='{{level}}' class='cell {{#if active}}active{{else}}inactive{{/if}}'>{{#unless infinite}}{{slots}}{{else}}<i class='{{@root.icons.infinity.string}}'></i>{{/unless}}</div>{{/each}}
				</li>
				{{/each}}
			</ul>
		</div>
	</div>
</form>
